Bug 346211

Summary: ibIlmImf.so.4, this is not available
Product: [Fedora] Fedora Reporter: John Poelstra <poelstra>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-23 00:02:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235703    

Description John Poelstra 2007-10-22 22:47:36 EDT
Description of problem:

As discussed at release engineering meeting today, Jermey confirmed that this 
issue would most likely affect upgrades and noted that this should be an 
anaconda bug.

I am running the latest rawhide on x86_64.  This box started as a clean 
install of F8T3 x86_64

yum update --enablerepo=development
Loading "refresh-updatesd" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package OpenEXR-libs.i386 0:1.6.0-4.fc8 set to be updated
--> Processing Dependency: libImath.so.6 for package: OpenEXR-libs
--> Processing Dependency: libIex.so.6 for package: OpenEXR-libs
--> Processing Dependency: libIlmThread.so.6 for package: OpenEXR-libs
--> Processing Dependency: libHalf.so.6 for package: OpenEXR-libs
---> Package kdelibs.x86_64 6:3.5.8-3.fc8 set to be updated
--> Processing Dependency: libHalf.so.6()(64bit) for package: kdelibs
---> Package kdebase.x86_64 6:3.5.8-3.fc8 set to be updated
--> Processing Dependency: kdebase-libs = 6:3.5.8-3.fc8 for package: kdebase
--> Processing Dependency: libkghostviewlib.so.0()(64bit) for package: 
kdegraphics
--> Processing Dependency: libkimageviewer.so.0()(64bit) for package: 
kdegraphics
--> Processing Dependency: libkmultipage.so.0()(64bit) for package: 
kdegraphics
--> Processing Dependency: libkscan.so.1()(64bit) for package: kdegraphics
--> Processing Dependency: libksvg.so.0()(64bit) for package: kdegraphics
--> Processing Dependency: libtext2path.so.0()(64bit) for package: kdegraphics
---> Package kdegraphics.x86_64 7:3.5.8-2.fc8 set to be updated
---> Package kdelibs.i386 6:3.5.8-3.fc8 set to be updated
--> Processing Dependency: libIlmImf.so.4 for package: kdebase
--> Processing Dependency: libIlmImf.so.4 for package: kdegraphics
---> Package OpenEXR-libs.x86_64 0:1.6.0-4.fc8 set to be updated
--> Running transaction check
---> Package ilmbase.i386 0:1.0.0-3.fc8 set to be updated
---> Package kdebase-libs.x86_64 6:3.5.8-3.fc8 set to be updated
---> Package ilmbase.x86_64 0:1.0.0-3.fc8 set to be updated
---> Package kdegraphics-libs.x86_64 7:3.5.8-2.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 OpenEXR-libs            i386       1.6.0-4.fc8      development       250 k
 OpenEXR-libs            x86_64     1.6.0-4.fc8      development       243 k
 kdebase                 x86_64     6:3.5.8-3.fc8    development        28 M
 kdegraphics             x86_64     7:3.5.8-2.fc8    development       5.8 M
 kdelibs                 x86_64     6:3.5.8-3.fc8    development        17 M
 kdelibs                 i386       6:3.5.8-3.fc8    development        17 M
Installing for dependencies:
 ilmbase                 i386       1.0.0-3.fc8      development       117 k
 ilmbase                 x86_64     1.0.0-3.fc8      development       117 k
 kdebase-libs            x86_64     6:3.5.8-3.fc8    development       1.0 M
 kdegraphics-libs        x86_64     7:3.5.8-2.fc8    development       2.7 M

Transaction Summary
=============================================================================
Install      4 Package(s)         
Update       6 Package(s)         
Remove       0 Package(s)         

Total download size: 73 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package kdegraphics needs libIlmImf.so.4, this is not available.
Package kdebase needs libIlmImf.so.4, this is not available.
Complete!
Comment 1 Jeremy Katz 2007-10-23 00:02:50 EDT
Rex already had a bug for these :-) 

*** This bug has been marked as a duplicate of 339981 ***